Package com.databricks.jdbc.client.impl.thrift.generated

## Class TCLIService.AsyncProcessor.GetTypeInfo<I extends TCLIService.AsyncIface>

- java.lang.Object
- - org.apache.thrift.AsyncProcessFunction<I,​TCLIService.GetTypeInfo_args,​TGetTypeInfoResp>
  - - com.databricks.jdbc.client.impl.thrift.generated.TCLIService.AsyncProcessor.GetTypeInfo<I>

Enclosing class:
  TCLIService.AsyncProcessor<I extends TCLIService.AsyncIface>

    public static class TCLIService.AsyncProcessor.GetTypeInfo<I extends TCLIService.AsyncIface>
    extends org.apache.thrift.AsyncProcessFunction<I,​TCLIService.GetTypeInfo_args,​TGetTypeInfoResp>

### Constructor Summary

Constructors
`GetTypeInfo()`

### Method Summary

All Methods Instance Methods Concrete Methods
`TCLIService.GetTypeInfo_args` `getEmptyArgsInstance()`
`org.apache.thrift.async.AsyncMethodCallback<TGetTypeInfoResp>` `getResultHandler​(org.apache.thrift.server.AbstractNonblockingServer.AsyncFrameBuffer fb, int seqid)`
`protected boolean` `isOneway()`
`void` `start​(I iface, TCLIService.GetTypeInfo_args args, org.apache.thrift.async.AsyncMethodCallback<TGetTypeInfoResp> resultHandler)`

### Methods inherited from class org.apache.thrift.AsyncProcessFunction

`getMethodName, sendResponse`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GetTypeInfo

    public GetTypeInfo()

### Method Detail

#### getEmptyArgsInstance

    public TCLIService.GetTypeInfo_args getEmptyArgsInstance()

Specified by:
  `getEmptyArgsInstance` in class `org.apache.thrift.AsyncProcessFunction<I extends TCLIService.AsyncIface,​TCLIService.GetTypeInfo_args,​TGetTypeInfoResp>`

#### getResultHandler

    public org.apache.thrift.async.AsyncMethodCallback<TGetTypeInfoResp> getResultHandler​(org.apache.thrift.server.AbstractNonblockingServer.AsyncFrameBuffer fb,
                                                                                          int seqid)

Specified by:
  `getResultHandler` in class `org.apache.thrift.AsyncProcessFunction<I extends TCLIService.AsyncIface,​TCLIService.GetTypeInfo_args,​TGetTypeInfoResp>`

#### isOneway

    protected boolean isOneway()

Specified by:
  `isOneway` in class `org.apache.thrift.AsyncProcessFunction<I extends TCLIService.AsyncIface,​TCLIService.GetTypeInfo_args,​TGetTypeInfoResp>`

#### start

    public void start​(I iface,
                      TCLIService.GetTypeInfo_args args,
                      org.apache.thrift.async.AsyncMethodCallback<TGetTypeInfoResp> resultHandler)
               throws org.apache.thrift.TException

Specified by:
  `start` in class `org.apache.thrift.AsyncProcessFunction<I extends TCLIService.AsyncIface,​TCLIService.GetTypeInfo_args,​TGetTypeInfoResp>`
Throws:
  `org.apache.thrift.TException`